using Ablera.Serdica.Authority.Plugins.Base.Models;

namespace Ablera.Serdica.Authority.Plugins.Base.Contracts;

public interface IAccountLockManager<TUser>
    where TUser : class
{
    Task<OperationResult> LockAsync(TUser user, CancellationToken ct = default);
    Task<OperationResult> UnlockAsync(TUser user, CancellationToken ct = default);
}
